Merchant Account - Retrieve
curl --request GET \
--url https://sandbox.birrpay.io/v2/merchant-accounts/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.birrpay.io/v2/merchant-accounts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.birrpay.io/v2/merchant-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "y3oqhf46pyzuxjbcn2giaqnb44",
"merchant_name": "NewAge Retailer",
"publishable_key": "AH3423bkjbkjdsfbkj",
"organization_id": "org_q98uSGAYbjEwqs0mJwnz",
"recon_status": "not_requested",
"merchant_details": {
"primary_contact_person": "John Doe",
"primary_phone": "999999999",
"primary_email": "[email protected]",
"secondary_contact_person": "John Doe2",
"secondary_phone": "999999988",
"secondary_email": "[email protected]",
"website": "www.example.com",
"about_business": "Online Retail with a wide selection of organic products for North America",
"address": {
"city": "New York",
"country": "AF",
"line1": "123, King Street",
"line2": "Powelson Avenue",
"line3": "Bridgewater",
"zip": "08807",
"state": "New York",
"first_name": "John",
"last_name": "Doe",
"origin_zip": "08807"
},
"merchant_tax_registration_id": "123456789"
},
"metadata": {},
"product_type": "orchestration"
}Merchant Account
Merchant Account - Retrieve
Retrieve a merchant account details.
GET
/
v2
/
merchant-accounts
/
{id}
Merchant Account - Retrieve
Authorizations
Format: admin-api-key=<admin-api-key>
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Connector account. This is only used during development.
Path Parameters
The unique identifier for the merchant account
Response
Merchant Account Retrieved
The identifier for the Merchant Account
Maximum string length:
64Example:
"y3oqhf46pyzuxjbcn2giaqnb44"
Name of the Merchant Account
Example:
"NewAge Retailer"
API key that will be used for server side API access
Example:
"AH3423bkjbkjdsfbkj"
The id of the organization which the merchant is associated with
Required string length:
1 - 64Example:
"org_q98uSGAYbjEwqs0mJwnz"
Available options:
not_requested, requested, active, disabled Show child attributes
Show child attributes
Metadata is useful for storing additional, unstructured information on an object.
Available options:
orchestration, vault, recon, recovery, cost_observability, dynamic_routing